Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bmserv.model
Class Tag

    java.lang.Object
      bmserv.model.Tag

    public class Tag

extends java.lang.Object

Bean qui implementent le modele de Tag. Un `Tag` est un label associé à un ID.

Author:
  ndelafor

Constructor Summary
`Tag()` Constructeur vide.
`Tag(java.lang.String label)` Constructeur paramétré pour l'ajout dynamique de `Tag` depuis le `TagHandler`.

Method Summary
`static java.lang.String` | `createTagId(java.lang.String label)` Methode statique de creation d'un ID de `Tag`.
`java.lang.String` | `getId()` Getter sur l'ID du `Tag`.
`java.lang.String` | `getLabel()` Getter sur le label du `Tag`.
`void` | `setLabel(java.lang.String label)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tag

    public Tag()

  Constructeur vide. Utilisé par JAXB.

### Tag

    public Tag(java.lang.String label)
        throws java.io.UnsupportedEncodingException

  Constructeur paramétré pour l'ajout dynamique de `Tag` depuis le `TagHandler`.

  Parameters:
    `label` -
  Throws:
    `java.io.UnsupportedEncodingException`

Method Detail

### getId

    public java.lang.String getId()

  Getter sur l'ID du `Tag`.

  Returns:
    l'ID du tag

### getLabel

    public java.lang.String getLabel()

  Getter sur le label du `Tag`.

  Returns:
    le label du tag

### setLabel

    public void setLabel(java.lang.String label)

### createTagId

    public static java.lang.String createTagId(java.lang.String label)

  Methode statique de creation d'un ID de `Tag`.
  Les ID de `Tag` sont générés à partir de l'encodage en format URLEncode du label du tag.
  Par exemple : le label `"Web sémantique"` donnera l'ID : `"Web+s%C3%A9mantique"`

  Parameters:
    `label` - le label du tag
  Returns:
    string contenant l'ID du tag

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD